# This file is part of Tryton.  The COPYRIGHT file at the top level of
# this repository contains the full copyright notices and license terms.
from trytond.pool import Pool
from .case import Case
from .customer_service import (CustomerService, CustomerServiceReport,
    CustomerServiceIndicatorsStart, CustomerServiceIndicators,
    CustomerServiceIndicatorsReport, EfficacyMonthStart, EfficacyMonth,
    EfficacyMonthReport, MonitoringReport, PrintCustomerService)
from .configuration import Configuration
from .party import Party
from .survey import (SurveyTemplate, Survey, SurveyLine,
    SurveyTemplateLine, SurveyGroup, SurveyReport)
from .activity import Activity


def register():
    Pool.register(
        SurveyGroup,
        SurveyTemplate,
        SurveyTemplateLine,
        Survey,
        SurveyLine,
        Configuration,
        Case,
        CustomerService,
        CustomerServiceIndicatorsStart,
        EfficacyMonthStart,
        Party,
        Activity,
        module='crm', type_='model')
    Pool.register(
        CustomerServiceReport,
        CustomerServiceIndicators,
        EfficacyMonth,
        PrintCustomerService,
        module='crm', type_='wizard')
    Pool.register(
        CustomerServiceReport,
        CustomerServiceIndicatorsReport,
        EfficacyMonthReport,
        MonitoringReport,
        SurveyReport,
        module='crm', type_='report')
